How to Fix “Price Impact Too High” on PancakeSwap

Neither Pancake Swap nor Uni Swap should give you a “Price Impact Too High” error.

Pancake Swap V2 users have noticed this issue since the upgrade from V1.

When you try to exchange BNB Smart Chain tokens for another token, you may get an error message that says “Price Impact Too High.”

It’s unfortunate that you can’t get out of your position at this time.

The error “Price Impact Too High” sometimes appears on PancakeSwap, and this article will explain what it means and how to fix it.

  • Can someone please explain what PancakeSwap means by the message “Price Impact Too High”?
  • PancakeSwap’s “Price Impact Too High”: A Fix

What does “Price Impact Too High” mean on PancakeSwap

If the message “Price Impact Too High” shows up, exchanging your tokens will cause you to lose a lot of money.

The price impact of a trade refers to the change in value of the underlying tokens on the market as a result of the trade.

It is proportional to the pool’s available cash.

In particular, illiquid token pairs will see a significant price impact.

To illustrate the point, let’s say you want to convert $190 worth of Ethereum into $80 worth of Dipper Network. This exchange will have a 60% pricing impact.

This is because there are not enough Dipper Network vendors willing to meet your request at the current market pricing. One solution is to reduce the quantity being traded, while the other is to wait for the market to become more liquid.

To put it simply, the “Price Impact Too High” issue on PancakeSwap is a result of the switch from V1 to V2.

Due to low liquidity, PancakeSwap V2 frequently throws the “Price Impact Too High” error.

A lack of liquidity exists in the V2 pool because of its relative youth.
This means that the liquidity pools have not yet completed their migration or update.
You must thus wait for the token’s creators to update and move it.

How to fix “Price Impact Too High” on PancakeSwap

On PancakeSwap, the error “Price Impact Too High” can be fixed by going back from V2 to V1 (old).

As soon as you update PancakeSwap to V1, you won’t have any trouble swapping tokens.

As of April 25, 2021, PancakeSwap has upgraded to version 2.

Lots of tokens’ liquidity pools, however, remain V1-only.

As a result, you won’t be able to trade these tokens on PancakeSwap V2.

The tweets posted by the token’s Twitter account will serve as confirmation.

For example, ElonGate just opened up access to their liquidity pool so that PancakeSwap V2 could be used.

They have also taken 30% of their liquid assets out of reserve to back V2.

Still, they have to rely on V1 for the vast majority of their cash flow.

Here’s how to resolve “Price Impact Too High” in PancakeSwap:

1. Switch to V1 (old)

PancakeSwap’s “Price Impact Too High”: A Fix
Get started by firing up PancakeSwap and linking it to your wallet.

MetaMask, Trust Wallet, and similar tools are available.

There are a few variants available at the bottom of PancakeSwap’s navigation bar.

As of May of 2021, the versions are “V2” and “V1 (old).”
Whenever you log in, you’ll be placed in the “V2” version automatically.

Token liquidity pools typically migrate or update from V1 to V2 at the same time that users migrate to a new version of the platform, so if you’re on “V2,” you may have trouble exchanging tokens.
Besides that, the token’s creator hasn’t done that either.
Because of this, it may not be possible to trade the token on PancakeSwap V2 because there isn’t enough liquidity.
Tap “V1 (old)” to revert PancakeSwap to its original version.

2. Tap on “Continue to V1 Anyway”

The previous version of PancakeSwap (V1) is no longer supported.

If you select “V1 (old),” a pop-up will appear explaining the change.

The pop-up will tell you that PancakeSwap V1 is no longer supported, so you can’t use it.

It suggests visiting the V2 Exchange instead for better prices on most pairs.

The disclaimer and a checkbox to accept it are located at the bottom of the pop-up message.

To confirm that you understand the disclaimer, tap the checkbox.

In order to access the liquidity of most tokens, you will need to remain on V1 for the time being.
If you’d rather use PancakeSwap V1, tap “Continue to V1 Anyway.”

To avoid the “Price Impact Too High” issue when exchanging tokens, upgrade to PancakeSwap version 1 before you try to do so.

Conclusion

Numerous mistakes were made during the upgrade from PancakeSwap V1 to V2.

Still, many tokens haven’t upgraded or migrated their liquidity.

As a result, the latest version of PancakeSwap does not support trading all tokens.

Try upgrading to V2 of PancakeSwap if you’re still on V1 and getting the “Price Impact Too High” message.

Leave a Comment

Your email address will not be published. Required fields are marked *

Scroll to Top